
function Skinner:TourGuide()

	-- move the UnlistedQuest frame up
	self:moveObject(self:getChild(QuestFrame, 7), "-", 10, "+", 26)
	
--	Tour Guide Frames
	self:Hook(TourGuide, "CreateConfigPanel", function(this, ...)
		local TGCPFrame = self.hooks[TourGuide].CreateConfigPanel(this, ...)
		self:SecureHook(TGCPFrame, "Show", function(this, ...)
			self:moveObject(TGCPFrame, nil, nil, "-", 50)
			self:Unhook(TGCPFrame, "Show")
			end)
		self:Unhook(TourGuide, "CreateConfigPanel")
		return TGCPFrame
		end, true)
	self:Hook(TourGuide, "CreateGuidesPanel", function(this, ...)
		local TGGPFrame = self.hooks[TourGuide].CreateGuidesPanel(this, ...)
		self:SecureHook(TGGPFrame, "Show", function(this, ...)
			self:moveObject(TGGPFrame, nil, nil, "-", 50)
			self:Unhook(TGGPFrame, "Show")
			end)
		self:Unhook(TourGuide, "CreateGuidesPanel")
		return TGGPFrame
		end, true)
	self:Hook(TourGuide, "CreateObjectivePanel", function(this, ...)
		local TGOPFrame = self.hooks[TourGuide].CreateObjectivePanel(this, ...)
		self:SecureHook(TGOPFrame, "Show", function(this, ...)
			self:moveObject(TGOPFrame, nil, nil, "-", 50)
			self:Unhook(TGOPFrame, "Show")
			end)
		local TGOPSB = self:getChild(TGOPFrame, 1) 
		self:keepFontStrings(TGOPSB)
		TGOPSB:GetThumbTexture():SetAlpha(1)
		self:skinUsingBD2(TGOPSB)
		self:Unhook(TourGuide, "CreateObjectivePanel")
		return TGOPFrame
		end, true)
	
	-- Status Frame
	local dbName = TourGuide.db.profile
	local sf
	if dbName.statusframepoint then 
		sf = self:findFrame2(UIParent, "Button", dbName.statusframepoint, UIParent, "TOPRIGHT", math.ceil(dbName.statusframex), math.ceil(dbName.statusframey))
	else	
		sf = self:findFrame2(UIParent, "Button", "BOTTOMRIGHT", QuestWatchFrame, "TOPRIGHT", -60, -15)
	end
-- 	self:Debug("TourGuide, StatusFrame: [%s]", sf)
	self:applySkin(sf)
	self:Hook(sf, "SetBackdropColor", function(this, ...) end, true)
	
	if not IsAddOnLoaded("OptionHouse") then
		-- Find the OptionHouse library object
		for k, object in LibStub:IterateLibraries() do
-- 			self:Debug("LS_IL: [%s, %s]", k, object)
			if k == "OptionHouse-1.1" then
				self:SecureHook(object, "Open", function(this, ...)
--	 				self:Debug("OH Open from TG")
					self:skinOptionHouse(this, "Open")
					self:Unhook(object, "Open")
					end)
				-- Hook this as well
				self:SecureHook(SlashCmdList, "OPTHOUSE", function()
--			 		self:Debug("OH SCL (TG)")
					self:skinOptionHouse(object, "SCL")
					self:Unhook(SlashCmdList, "OPTHOUSE")
					end)
			end
		end
	end

end
